VSTGUI: IViewMouseListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IViewMouseListener Class Referenceabstract
New classes » Version 4.7

View Mouse Listener Interface. More...

`#include <iviewlistener.h>`

Inheritance diagram for IViewMouseListener:

## Public Member Functions
virtual | ~IViewMouseListener () noexcept=default
virtual CMouseEventResult | viewOnMouseDown (CView *view, CPoint pos, CButtonState buttons)=0
virtual CMouseEventResult | viewOnMouseUp (CView *view, CPoint pos, CButtonState buttons)=0
virtual CMouseEventResult | viewOnMouseMoved (CView *view, CPoint pos, CButtonState buttons)=0
virtual CMouseEventResult | viewOnMouseCancel (CView *view)=0
virtual void | viewOnMouseEntered (CView *view)=0
virtual void | viewOnMouseExited (CView *view)=0
virtual void | viewOnMouseEnabled (CView *view, bool state)=0

## Detailed Description

View Mouse Listener Interface.

## Constructor & Destructor Documentation

## ◆ ~IViewMouseListener()

virtual ~IViewMouseListener | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ viewOnMouseCancel()

virtual CMouseEventResult viewOnMouseCancel | ( | CView * | view | ) |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseDown()

virtual CMouseEventResult viewOnMouseDown | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons
| ) |  |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseEnabled()

virtual void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state
| ) |  |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseEntered()

virtual void viewOnMouseEntered | ( | CView * | view | ) |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseExited()

virtual void viewOnMouseExited | ( | CView * | view | ) |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseMoved()

virtual CMouseEventResult viewOnMouseMoved | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons
| ) |  |
| pure virtual

Implemented in ViewMouseListenerAdapter.

## ◆ viewOnMouseUp()

virtual CMouseEventResult viewOnMouseUp | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons
| ) |  |
| pure virtual

Implemented in ViewMouseListenerAdapter.

The documentation for this class was generated from the following file:

- iviewlistener.h